# Interface MetaEventListener

All Superinterfaces:
  `EventListener`

public interface MetaEventListener extends EventListener
The `MetaEventListener` interface should be implemented by classes whose instances need to be notified when a `Sequencer` has processed a `MetaMessage`. To register a `MetaEventListener` object to receive such notifications, pass it as the argument to the `addMetaEventListener` method of `Sequencer`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `meta(MetaMessage meta)`
  Invoked when a `Sequencer` has encountered and processed a `MetaMessage` in the `Sequence` it is processing.

- ## Method Details

  - ### meta

    void meta(MetaMessage meta)
    Invoked when a `Sequencer` has encountered and processed a `MetaMessage` in the `Sequence` it is processing.
    Parameters:
      `meta` - the meta-message that the sequencer encountered